Apache Tomcat 6.0.51

## org.apache.catalina.ha.session
Class ClusterManagerBase

    java.lang.Object
      org.apache.catalina.session.ManagerBase
          org.apache.catalina.ha.session.ClusterManagerBase

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, javax.management.MBeanRegistration, ClusterManager, Lifecycle, Manager

Direct Known Subclasses:
  DeltaManager

    public abstract class ClusterManagerBase

extends ManagerBase
implements Lifecycle, java.beans.PropertyChangeListener, ClusterManager

Author:
  Filip Hanik

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.catalina.session.ManagerBase
`ManagerBase.SessionTiming`

Field Summary

Fields inherited from class org.apache.catalina.session.ManagerBase

`algorithm, container, DEFAULT_ALGORITHM, devRandomSource, digest, distributable, domain, duplicates, entropy, expiredSessions, initialized, log, maxActive, maxInactiveInterval, mserver, name, oname, processExpiresFrequency, processingTime, random, randomClass, randomIS, sessionAverageAliveTime, sessionCounter, sessionCreationTiming, sessionExpirationTiming, sessionIdLength, sessionMaxAliveTime, sessions, sm, support, TIMING_STATS_CACHE_SIZE`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`ClusterManagerBase()`

Method Summary
`java.lang.ClassLoader[]` | `getClassLoaders()`
`static java.lang.ClassLoader[]` | `getClassLoaders(Container container)`
`ReplicationStream` | `getReplicationStream(byte[] data)` Open Stream and use correct ClassLoader (Container) Switch ThreadClassLoader
`ReplicationStream` | `getReplicationStream(byte[] data, int offset, int length)`
`java.lang.String` | `getSessionAttributeFilter()` Deprecated. Use `ManagerBase.getSessionAttributeNameFilter()`. Will be removed in Tomcat 9.0.x
`void` | `setSessionAttributeFilter(java.lang.String sessionAttributeFilter)` Deprecated. Use `ManagerBase.setSessionAttributeNameFilter(String)`. Will be removed in Tomcat 9.0.x
`boolean` | `willAttributeDistribute(java.lang.String name)` Deprecated. Use `ManagerBase.willAttributeDistribute(String, Object)`. Will be removed in Tomcat 9.0.x

Methods inherited from class org.apache.catalina.session.ManagerBase

`add, addPropertyChangeListener, backgroundProcess, changeSessionId, createEmptySession, createSession, createSession, destroy, expireSession, findSession, findSessions, generateSessionId, getActiveSessions, getAlgorithm, getClassName, getContainer, getCreationTime, getCreationTimestamp, getDigest, getDistributable, getDomain, getDuplicates, getEngine, getEntropy, getExpiredSessions, getInfo, getJvmRoute, getLastAccessedTime, getLastAccessedTimestamp, getMaxActive, getMaxInactiveInterval, getName, getNewSession, getObjectName, getProcessExpiresFrequency, getProcessingTime, getRandom, getRandomBytes, getRandomClass, getRandomFile, getSession, getSessionAttribute, getSessionAttributeNameFilter, getSessionAttributeNamePattern, getSessionAttributeValueClassNameFilter, getSessionAttributeValueClassNamePattern, getSessionAverageAliveTime, getSessionCounter, getSessionCreateRate, getSessionExpireRate, getSessionIdLength, getSessionMaxAliveTime, getWarnOnSessionAttributeFilterFailure, init, listSessionIds, postDeregister, postRegister, preDeregister, preRegister, processExpires, remove, removePropertyChangeListener, setAlgorithm, setContainer, setDistributable, setDuplicates, setEntropy, setExpiredSessions, setMaxActive, setMaxInactiveInterval, setProcessExpiresFrequency, setProcessingTime, setRandomClass, setRandomFile, setSessionAttributeNameFilter, setSessionAttributeValueClassNameFilter, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime, setWarnOnSessionAttributeFilterFailure, willAttributeDistribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Lifecycle
`addLifecycleListener, findLifecycleListeners, removeLifecycleListener, start, stop`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface org.apache.catalina.ha.ClusterManager
`cloneFromTemplate, doDomainReplication, getCluster, getInvalidatedSessions, getName, isDefaultMode, isNotifyListenersOnReplication, messageDataReceived, requestCompleted, setCluster, setDefaultMode, setDomainReplication, setName`

Methods inherited from interface org.apache.catalina.Manager

`add, addPropertyChangeListener, backgroundProcess, changeSessionId, createEmptySession, createSession, createSession, findSession, findSessions, getActiveSessions, getContainer, getDistributable, getExpiredSessions, getInfo, getMaxActive, getMaxInactiveInterval, getRejectedSessions, getSessionAverageAliveTime, getSessionCounter, getSessionIdLength, getSessionMaxAliveTime, load, remove, removePropertyChangeListener, setContainer, setDistributable, setExpiredSessions, setMaxActive, setMaxInactiveInterval, setRejectedSessions, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime, unload, willAttributeDistribute`

Constructor Detail

### ClusterManagerBase

    public ClusterManagerBase()

Method Detail

### getSessionAttributeFilter

    @Deprecated
    public java.lang.String getSessionAttributeFilter()

  Deprecated. Use `ManagerBase.getSessionAttributeNameFilter()`. Will be removed in Tomcat 9.0.x

  Return the string pattern used for including session attributes to replication.

  Returns:
    the sessionAttributeFilter

### setSessionAttributeFilter

    @Deprecated
    public void setSessionAttributeFilter(java.lang.String sessionAttributeFilter)

  Deprecated. Use `ManagerBase.setSessionAttributeNameFilter(String)`. Will be removed in Tomcat 9.0.x

  Set the pattern used for including session attributes to replication. If not set, all session attributes will be eligible for replication.

  E.g. `^(userName|sessionHistory)$`

  Parameters:
    `sessionAttributeFilter` - the filter name pattern to set

### willAttributeDistribute

    @Deprecated
    public boolean willAttributeDistribute(java.lang.String name)

  Deprecated. Use `ManagerBase.willAttributeDistribute(String, Object)`. Will be removed in Tomcat 9.0.x

  Check whether the given session attribute should be distributed based on attribute name only.

  Returns:
    true if the attribute should be distributed

### getClassLoaders

    public static java.lang.ClassLoader[] getClassLoaders(Container container)

### getClassLoaders

    public java.lang.ClassLoader[] getClassLoaders()

### getReplicationStream

    public ReplicationStream getReplicationStream(byte[] data)
                                           throws java.io.IOException

  Open Stream and use correct ClassLoader (Container) Switch ThreadClassLoader

  Specified by:
    `getReplicationStream` in interface `ClusterManager`
  Parameters:
    `data` -
  Returns:
    The object input stream
  Throws:
    `java.io.IOException`

### getReplicationStream

    public ReplicationStream getReplicationStream(byte[] data,
                                                  int offset,
                                                  int length)
                                           throws java.io.IOException

  Specified by:
    `getReplicationStream` in interface `ClusterManager`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.